Il blog professionale di Francesco Settembre

I miei lavori, i miei progetti

Samsung YP-S3 e Ubuntu, problema risolto

with 5 comments

Ho da qualche giorno comprato un lettore mp3/mp4/jpg Samsung YP-S3, davvero un bel giocattolino…se non fosse che Ubuntu non me l’abbia riconosciuto subito. Senza farmi prendere dal panico, ho fatto qualche piccola ricerca, ma sembra che nessuno sia riuscito a risolvere il problema…fino a quando non sono riuscito a farlo andare da solo

I passi da seguire sono i seguenti:

  1. Scaricare da qui la libreria libmtp-0.3.1;
  2. Installarla dai sorgenti come un qualsiasi programma (per le istruzioni, click qui);
  3. Al termine dell’installazione, copiare la libreria nella cartella /etc/udev/ con il seguente comando: sudo cp libmtp.rules /etc/udev/rules.d;
  4. Riavviare il servizio udev, per far si che riconosca le modifiche appena apportate, con il comando sudo /etc/init.d/udev restart

A questo punto si può controllare che il lettore sia rilevato dal sistema tramite il comando sudo mtp-detect (non vi riporto l’output, è molto lungo ed eventualmente lo trovate su questo mio post scritto sul forum di Ubuntu-it): il lettore dovrebbe accendersi istantaneamente, e sarà quindi rilevato dal software (qualsiasi software dovrebbe andar bene, personalmente uso Gnomad2, installato con il comando sudo apt-get install gnomad2)

Buoni mp3 a tutti

Advertisements

Written by francescosettembre

16 settembre 2008 a 7:01 am

Pubblicato su Guide e Manuali, Linux

Tagged with ,

5 Risposte

Subscribe to comments with RSS.

  1. Usa rhythmbox! Nei plugin c’è il supporto ad mtp e funziona benissimo. 😉

    robi

    16 settembre 2008 at 7:22 am

  2. rob, a dire il vero non l’ho provato, ma sul forum di ubuntu-it dicono che senza quella libreria non funzioni lo stesso…ora è tardi per provare (anche se potrei farlo sul laptop della mia ragazza..ti fò sapere!)
    unico problema rimasto: non è possibile fare l’upload di foto e video, solo musica…

    crazyhorse

    16 settembre 2008 at 8:08 am

  3. […] a risolvere il problema…fino a quando non sono riuscito a farlo andare da solo I passi […] Continua…… __________________ Nothing Is Impossibile – Il mio blog personale Pane e PC – L’informatica per […]

  4. Il problema è che probabilmente hardy avrà una versione vecchia della libmtp, magari con intrepid non avrai bisogno di compilarla da sorgente. Comunque, take a look. 😉

    robi

    16 settembre 2008 at 9:52 pm

  5. Mi viene fuori questo errore dopo aver dato il comando ./configure

    configure: error: I can’t find the libusb libraries on your system. You
    may need to set the LDFLAGS environment variable to include the
    search path where you have libusb installed before running
    configure (e.g. setenv LDFLAGS=-L/usr/local/lib)

    Soluzione? GRAZIE!!! 🙂

    aiutoNecessario

    12 febbraio 2009 at 9:43 pm


Rispondi

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger hanno fatto clic su Mi Piace per questo: